using Microsoft.Azure.Cosmos.Table;
using Newtonsoft.Json;
using System.Text.Json.Serialization;
using TEAMModelOS.SDK.Context.Attributes.Azure;

namespace TEAMModelOS.SDK.Models
{
    /// <summary>
    /// 課程與醍摩豆ID關聯表
    /// </summary>
    [TableName(Name = "Lesson")]
    public class Lesson : TableEntity
    {
        public Lesson() { }
        public Lesson(string id, string lessonId)
        {
            this.PartitionKey = id;
            this.RowKey = lessonId;
        }
    }
}
